/*
Odkomentirati donje linije da se dobije rješenje c) dijela.
*/

#include <stdio.h>
#include <stdlib.h>

int rekurzija(int n1, int n2, int n3, double v1, double v2, double v3, int k, double prethodni, double trenutni)
{
	int i1, i2, i3, pom=0;
	//static int rasporedi[150][3];

	if(!trenutni || trenutni!=prethodni && prethodni!=-1)
		return 0;
	prethodni=trenutni;

	if(n1==0 && n2==0 && n3==0){
		if(k<2)
			return 0;

		//printf("Zarada svakog gusara je %.2f.\n", prethodni);
		//for(i1=0; i1<k; i1++)
			//printf("-(%d,%d,%d)", rasporedi[i1][0], rasporedi[i1][1], rasporedi[i1][2]);
		//printf("\n\n");
		return 1;
	}

	for(i1=0; i1<=n1; i1++){
		for(i2=0; i2<=n2; i2++){
			for(i3=0; i3<=n3; i3++){
				//rasporedi[k][0]=i1;
				//rasporedi[k][1]=i2;
				//rasporedi[k][2]=i3;
				pom+=rekurzija(n1-i1,n2-i2,n3-i3,v1,v2,v3,k+1,prethodni,i1*v1+i2*v2+i3*v3);
			}
		}
	}

	return pom;
}

int main(int argc, char* argv[])
{
	int n1, n2, n3;
	double v1, v2, v3;

	if(argc!=7){
		printf("Potrebno je definirati 6 parametara!\n");
		exit(1);
	}

	sscanf(argv[1],"%d",&n1);
	sscanf(argv[2],"%d",&n2);
	sscanf(argv[3],"%d",&n3);
	sscanf(argv[4],"%lf",&v1);
	sscanf(argv[5],"%lf",&v2);
	sscanf(argv[6],"%lf",&v3);

	printf("Rezultat je %d.\n", rekurzija(n1,n2,n3,v1,v2,v3,0,-1,-1));

	return 0;
}
