/*
Odkomentirati donje linije da se dobije rjeenje c) dijela.
*/

#include <stdio.h>
#include <stdlib.h>

int rekurzija(int b1, int b2, int b3, double m1, double m2, double m3, int k, double prethodni, double trenutni)
{
	int i1, i2, i3, pom=0;
	//static int rasporedi[120][3];

	if(!trenutni || trenutni!=prethodni && prethodni!=-1)
		return 0;
	prethodni=trenutni;

	if(b1==0 && b2==0 && b3==0){
		if(k<4)
			return 0;

		//printf("Masa svake posiljke postara je %.2f.\n", prethodni);
		//for(i1=0; i1<k; i1++)
			//printf("-(%d,%d,%d)", rasporedi[i1][0], rasporedi[i1][1], rasporedi[i1][2]);
		//printf("\n\n");
		return 1;
	}

	for(i1=0; i1<=b1; i1++){
		for(i2=0; i2<=b2; i2++){
			for(i3=0; i3<=b3; i3++){
				//rasporedi[k][0]=i1;
				//rasporedi[k][1]=i2;
				//rasporedi[k][2]=i3;
				pom+=rekurzija(b1-i1,b2-i2,b3-i3,m1,m2,m3,k+1,prethodni,i1*m1+i2*m2+i3*m3);
			}
		}
	}

	return pom;
}

int main(int argc, char* argv[])
{
	int b1, b2, b3;
	double m1, m2, m3;

	if(argc!=7){
		printf("Potrebno je definirati 6 parametara!\n");
		exit(1);
	}

	sscanf(argv[1],"%d",&b1);
	sscanf(argv[2],"%d",&b2);
	sscanf(argv[3],"%d",&b3);
	sscanf(argv[4],"%lf",&m1);
	sscanf(argv[5],"%lf",&m2);
	sscanf(argv[6],"%lf",&m3);

	printf("Rezultat je %d.\n", rekurzija(b1,b2,b3,m1,m2,m3,0,-1,-1));

	return 0;
}
