/*
Odkomentirati donje linije da se dobije rjeenje c) dijela.
*/

#include <stdio.h>
#include <stdlib.h>

int rekurzija(int k1, int k2, int k3, double c1, double c2, double c3, int k, double prethodni, double trenutni)
{
	int i1, i2, i3, pom=0;
	//static int rasporedi[240][3];

	if(!trenutni || trenutni!=prethodni && prethodni!=-1)
		return 0;
	prethodni=trenutni;

	if(k1==0 && k2==0 && k3==0){
		if(k<3)
			return 0;

		//printf("Vrijednost paketa povrca svake kumice je %.2f.\n", prethodni);
		//for(i1=0; i1<k; i1++)
			//printf("-(%d,%d,%d)", rasporedi[i1][0], rasporedi[i1][1], rasporedi[i1][2]);
		//printf("\n\n");
		return 1;
	}

	for(i1=0; i1<=k1; i1++){
		for(i2=0; i2<=k2; i2++){
			for(i3=0; i3<=k3; i3++){
				//rasporedi[k][0]=i1;
				//rasporedi[k][1]=i2;
				//rasporedi[k][2]=i3;
				pom+=rekurzija(k1-i1,k2-i2,k3-i3,c1,c2,c3,k+1,prethodni,i1*c1+i2*c2+i3*c3);
			}
		}
	}

	return pom;
}

int main(int argc, char* argv[])
{
	int k1, k2, k3;
	double c1, c2, c3;

	if(argc!=7){
		printf("Potrebno je definirati 6 parametara!\n");
		exit(1);
	}

	sscanf(argv[1],"%d",&k1);
	sscanf(argv[2],"%d",&k2);
	sscanf(argv[3],"%d",&k3);
	sscanf(argv[4],"%lf",&c1);
	sscanf(argv[5],"%lf",&c2);
	sscanf(argv[6],"%lf",&c3);

	printf("Rezultat je %d.\n", rekurzija(k1,k2,k3,c1,c2,c3,0,-1,-1));

	return 0;
}
